<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/SignUpFragment"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/background_light"
    tools:context=".cactusClient.views.SignUpFragment">

    <EditText
        android:id="@+id/inputPassword2"
        android:layout_width="300dp"
        android:layout_height="40dp"
        android:layout_centerInParent="true"
        android:ems="10"
        android:inputType="textPassword" />

    <TextView
        android:id="@+id/password"
        android:layout_width="150dp"
        android:layout_height="20dp"
        android:layout_alignParentBottom="true"
        android:layout_alignStart="@+id/checkPassword"
        android:layout_marginBottom="113dp"
        android:text="check Password" />

    <Button
        android:id="@+id/signUp2"
        android:layout_width="305dp"
        android:layout_height="40dp"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:text="Sign up" />

    <EditText
        android:id="@+id/checkPassword"
        android:layout_width="300dp"
        android:layout_height="40dp"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="65dp"
        android:ems="10"
        android:inputType="textPassword" />

    <TextView
        android:id="@+id/password"
        android:layout_width="100dp"
        android:layout_height="20dp"
        android:layout_alignStart="@+id/checkPassword"
        android:layout_below="@+id/inputUserName"
        android:text="Password" />

    <TextView
        android:id="@+id/userName"
        android:layout_width="100dp"
        android:layout_height="20dp"
        android:layout_alignParentTop="true"
        android:layout_alignStart="@+id/checkPassword"
        android:text="userID" />

    <EditText
        android:id="@+id/inputUserID"
        android:layout_width="300dp"
        android:layout_height="40dp"
        android:layout_alignStart="@+id/checkPassword"
        android:layout_below="@+id/userName"
        android:ems="10"
        android:inputType="textPersonName"
        android:hint="Please enter UserID"/>

    <Button
        android:id="@+id/LoginButton2"
        android:layout_width="103dp"
        android:layout_height="40dp"
        android:layout_alignParentBottom="true"
        android:layout_toEndOf="@+id/checkPassword"
        android:text="Login" />

    <TextView
        android:id="@+id/UserName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignStart="@+id/checkPassword"
        android:layout_below="@+id/inputUserID"
        android:text="UserName" />

    <EditText
        android:id="@+id/inputUserName"
        android:layout_width="300dp"
        android:layout_height="40dp"
        android:layout_below="@+id/UserName"
        android:layout_centerHorizontal="true"
        android:ems="10"
        android:inputType="text|textPersonName"
        android:hint="Please enter Name"/>

</RelativeLayout>